Index: src/other/tk/CMake/tcl.cmake
===================================================================
--- src/other/tk/CMake/tcl.cmake	(revision 54114)
+++ src/other/tk/CMake/tcl.cmake	(working copy)
@@ -686,21 +686,21 @@
 (void) gethostbyaddr_r(addr, length, type, result, buffer, buflen, &resultp, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
-			IF(HAVE_GETHOSTBYADDR_R_8)
-			   ADD_TCL_CFLAG(HAVE_GETHOSTBYADDR_R_8)
-			ENDIF(HAVE_GETHOSTBYADDR_R_8)
-		ENDIF(HAVE_GETHOSTBYADDR_R_7)
-	ENDIF(HAVE_GETHOSTBYADDR_R)
-ENDMACRO(SC_TCL_GETHOSTBYADDR_R)
+			check_c_source_compiles("${HAVE_GETHOSTBYADDR_R_8_SRC}" HAVE_GETHOSTBYADDR_R_8)
+			if(HAVE_GETHOSTBYADDR_R_8)
+			   add_tcl_cflag(HAVE_GETHOSTBYADDR_R_8)
+			endif(HAVE_GETHOSTBYADDR_R_8)
+		endif(HAVE_GETHOSTBYADDR_R_7)
+	endif(HAVE_GETHOSTBYADDR_R)
+endmacro(SC_TCL_GETHOSTBYADDR_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETHOSTBYNAME_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETHOSTBYNAME_R)
-	TCL_CHECK_FUNCTION_EXISTS(gethostbyname_r HAVE_GETHOSTBYNAME_R)
-	IF(HAVE_GETHOSTBYNAME_R)
-		SET(HAVE_GETHOSTBYNAME_R_6_SRC "
+macro(SC_TCL_GETHOSTBYNAME_R)
+	tcl_check_function_exists(gethostbyname_r HAVE_GETHOSTBYNAME_R)
+	if(HAVE_GETHOSTBYNAME_R)
+		set(HAVE_GETHOSTBYNAME_R_6_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -712,11 +712,11 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &res, &h_errnop);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
-		IF(HAVE_GETHOSTBYNAME_R_6)
-			ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_6)
-		ELSE(HAVE_GETHOSTBYNAME_R_6)
-			SET(HAVE_GETHOSTBYNAME_R_5_SRC "
+		check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_6_SRC}"  HAVE_GETHOSTBYNAME_R_6)
+		if(HAVE_GETHOSTBYNAME_R_6)
+			add_tcl_cflag(HAVE_GETHOSTBYNAME_R_6)
+		else(HAVE_GETHOSTBYNAME_R_6)
+			set(HAVE_GETHOSTBYNAME_R_5_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -728,12 +728,12 @@
 (void) gethostbyname_r(name, he, buffer, buflen, &h_errnop);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
+			check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_5_SRC}"  HAVE_GETHOSTBYNAME_R_5)
 
-			IF(HAVE_GETHOSTBYNAME_R_5)
-				ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_5)
-			ELSE(HAVE_GETHOSTBYNAME_R_5)
-				SET(HAVE_GETHOSTBYNAME_R_3_SRC "
+			if(HAVE_GETHOSTBYNAME_R_5)
+				add_tcl_cflag(HAVE_GETHOSTBYNAME_R_5)
+			else(HAVE_GETHOSTBYNAME_R_5)
+				set(HAVE_GETHOSTBYNAME_R_3_SRC "
 #include <netdb.h>
 int main(){
 char *name;
@@ -743,22 +743,22 @@
 (void) gethostbyname_r(name, he, &data);
 return 0;}
 				")
-				CHECK_C_SOURCE_COMPILES("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
-				IF(HAVE_GETHOSTBYNAME_R_3)
-					ADD_TCL_CFLAG(HAVE_GETHOSTBYNAME_R_3)
-				ENDIF(HAVE_GETHOSTBYNAME_R_3)
-			ENDIF(HAVE_GETHOSTBYNAME_R_5)
-		ENDIF(HAVE_GETHOSTBYNAME_R_6)
-	ENDIF(HAVE_GETHOSTBYNAME_R)
-ENDMACRO(SC_TCL_GETHOSTBYNAME_R)
+				check_c_source_compiles("${HAVE_GETHOSTBYNAME_R_3_SRC}" HAVE_GETHOSTBYNAME_R_3)
+				if(HAVE_GETHOSTBYNAME_R_3)
+					add_tcl_cflag(HAVE_GETHOSTBYNAME_R_3)
+				endif(HAVE_GETHOSTBYNAME_R_3)
+			endif(HAVE_GETHOSTBYNAME_R_5)
+		endif(HAVE_GETHOSTBYNAME_R_6)
+	endif(HAVE_GETHOSTBYNAME_R)
+endmacro(SC_TCL_GETHOSTBYNAME_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_IPV6
 #--------------------------------------------------------------------
-MACRO(SC_TCL_IPV6)
-	CHECK_FUNCTION_EXISTS(getaddrinfo HAVE_GETADDRINFO)
-	IF(HAVE_GETADDRINFO)
-		SET(GETADDRINFO_SRC "
+macro(SC_TCL_IPV6)
+	check_function_exists(getaddrinfo HAVE_GETADDRINFO)
+	if(HAVE_GETADDRINFO)
+		set(GETADDRINFO_SRC "
 #include <netdb.h>
 int main () {
 const char *name, *port;
@@ -768,20 +768,20 @@
 return 0;
 }
 		")
-		CHECK_C_SOURCE_COMPILES("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
-		IF(WORKING_GETADDRINFO)
-			ADD_TCL_CFLAG(HAVE_GETADDRINFO)
-		ENDIF(WORKING_GETADDRINFO)
-	ENDIF(HAVE_GETADDRINFO)
-ENDMACRO(SC_TCL_IPV6)
+		check_c_source_compiles("${GETADDRINFO_SRC}" WORKING_GETADDRINFO)
+		if(WORKING_GETADDRINFO)
+			add_tcl_cflag(HAVE_GETADDRINFO)
+		endif(WORKING_GETADDRINFO)
+	endif(HAVE_GETADDRINFO)
+endmacro(SC_TCL_IPV6)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWUID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWUID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwuid_r HAVE_GETPWUID_R)
-	IF(HAVE_GETPWUID_R)
-		SET(HAVE_GETPWUID_R_5_SRC "
+macro(SC_TCL_GETPWUID_R)
+	tcl_check_function_exists(getpwuid_r HAVE_GETPWUID_R)
+	if(HAVE_GETPWUID_R)
+		set(HAVE_GETPWUID_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -793,11 +793,11 @@
 (void) getpwuid_r(uid, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
-		IF(HAVE_GETPWUID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWUID_R_5)
-		ELSE(HAVE_GETPWUID_R_5)
-			SET(HAVE_GETPWUID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWUID_R_5_SRC}"  HAVE_GETPWUID_R_5)
+		if(HAVE_GETPWUID_R_5)
+			add_tcl_cflag(HAVE_GETPWUID_R_5)
+		else(HAVE_GETPWUID_R_5)
+			set(HAVE_GETPWUID_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -809,21 +809,21 @@
 (void) getpwuid_r(uid, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
-			IF(HAVE_GETPWUID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETPWUID_R_4)
-			ENDIF(HAVE_GETPWUID_R_4)
-		ENDIF(HAVE_GETPWUID_R_5)
-	ENDIF(HAVE_GETPWUID_R)
-ENDMACRO(SC_TCL_GETPWUID_R)
+			check_c_source_compiles("${HAVE_GETPWUID_R_4_SRC}" HAVE_GETPWUID_R_4)
+			if(HAVE_GETPWUID_R_4)
+				add_tcl_cflag(HAVE_GETPWUID_R_4)
+			endif(HAVE_GETPWUID_R_4)
+		endif(HAVE_GETPWUID_R_5)
+	endif(HAVE_GETPWUID_R)
+endmacro(SC_TCL_GETPWUID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETPWNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETPWNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getpwnam_r HAVE_GETPWNAM_R)
-	IF(HAVE_GETPWNAM_R)
-		SET(HAVE_GETPWNAM_R_5_SRC "
+macro(SC_TCL_GETPWNAM_R)
+	tcl_check_function_exists(getpwnam_r HAVE_GETPWNAM_R)
+	if(HAVE_GETPWNAM_R)
+		set(HAVE_GETPWNAM_R_5_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -835,11 +835,11 @@
 (void) getpwnam_r(name, &pw, buf, buflen, &pwp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
-		IF(HAVE_GETPWNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETPWNAM_R_5)
-		ELSE(HAVE_GETPWNAM_R_5)
-			SET(HAVE_GETPWNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETPWNAM_R_5_SRC}"  HAVE_GETPWNAM_R_5)
+		if(HAVE_GETPWNAM_R_5)
+			add_tcl_cflag(HAVE_GETPWNAM_R_5)
+		else(HAVE_GETPWNAM_R_5)
+			set(HAVE_GETPWNAM_R_4_SRC "
 #include <sys/types.h>
 #include <pwd.h>
 int main(){
@@ -851,21 +851,21 @@
 (void)getpwnam_r(name, &pw, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
-			IF(HAVE_GETPWNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETPWNAM_R_4)
-			ENDIF(HAVE_GETPWNAM_R_4)
-		ENDIF(HAVE_GETPWNAM_R_5)
-	ENDIF(HAVE_GETPWNAM_R)
-ENDMACRO(SC_TCL_GETPWNAM_R)
+			check_c_source_compiles("${HAVE_GETPWNAM_R_4_SRC}" HAVE_GETPWNAM_R_4)
+			if(HAVE_GETPWNAM_R_4)
+			   add_tcl_cflag(HAVE_GETPWNAM_R_4)
+			endif(HAVE_GETPWNAM_R_4)
+		endif(HAVE_GETPWNAM_R_5)
+	endif(HAVE_GETPWNAM_R)
+endmacro(SC_TCL_GETPWNAM_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRGID_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRGID_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrgid_r HAVE_GETGRGID_R)
-	IF(HAVE_GETGRGID_R)
-		SET(HAVE_GETGRGID_R_5_SRC "
+macro(SC_TCL_GETGRGID_R)
+	tcl_check_function_exists(getgrgid_r HAVE_GETGRGID_R)
+	if(HAVE_GETGRGID_R)
+		set(HAVE_GETGRGID_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -877,11 +877,11 @@
 (void) getgrgid_r(gid, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
-		IF(HAVE_GETGRGID_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRGID_R_5)
-		ELSE(HAVE_GETGRGID_R_5)
-			SET(HAVE_GETGRGID_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRGID_R_5_SRC}"  HAVE_GETGRGID_R_5)
+		if(HAVE_GETGRGID_R_5)
+			add_tcl_cflag(HAVE_GETGRGID_R_5)
+		else(HAVE_GETGRGID_R_5)
+			set(HAVE_GETGRGID_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -893,21 +893,21 @@
 (void)getgrgid_r(gid, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
-			IF(HAVE_GETGRGID_R_4)
-				ADD_TCL_CFLAG(HAVE_GETGRGID_R_4)
-			ENDIF(HAVE_GETGRGID_R_4)
-		ENDIF(HAVE_GETGRGID_R_5)
-	ENDIF(HAVE_GETGRGID_R)
-ENDMACRO(SC_TCL_GETGRGID_R)
+			check_c_source_compiles("${HAVE_GETGRGID_R_4_SRC}" HAVE_GETGRGID_R_4)
+			if(HAVE_GETGRGID_R_4)
+				add_tcl_cflag(HAVE_GETGRGID_R_4)
+			endif(HAVE_GETGRGID_R_4)
+		endif(HAVE_GETGRGID_R_5)
+	endif(HAVE_GETGRGID_R)
+endmacro(SC_TCL_GETGRGID_R)
 
 #--------------------------------------------------------------------
 # SC_TCL_GETGRNAM_R
 #--------------------------------------------------------------------
-MACRO(SC_TCL_GETGRNAM_R)
-	TCL_CHECK_FUNCTION_EXISTS(getgrnam_r HAVE_GETGRNAM_R)
-	IF(HAVE_GETGRNAM_R)
-		SET(HAVE_GETGRNAM_R_5_SRC "
+macro(SC_TCL_GETGRNAM_R)
+	tcl_check_function_exists(getgrnam_r HAVE_GETGRNAM_R)
+	if(HAVE_GETGRNAM_R)
+		set(HAVE_GETGRNAM_R_5_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -919,11 +919,11 @@
 (void) getgrnam_r(name, &gr, buf, buflen, &grp);
 return 0;}
 		")
-		CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
-		IF(HAVE_GETGRNAM_R_5)
-			ADD_TCL_CFLAG(HAVE_GETGRNAM_R_5)
-		ELSE(HAVE_GETGRNAM_R_5)
-			SET(HAVE_GETGRNAM_R_4_SRC "
+		check_c_source_compiles("${HAVE_GETGRNAM_R_5_SRC}"  HAVE_GETGRNAM_R_5)
+		if(HAVE_GETGRNAM_R_5)
+			add_tcl_cflag(HAVE_GETGRNAM_R_5)
+		else(HAVE_GETGRNAM_R_5)
+			set(HAVE_GETGRNAM_R_4_SRC "
 #include <sys/types.h>
 #include <grp.h>
 int main(){
@@ -935,19 +935,19 @@
 (void)getgrnam_r(name, &gr, buf, buflen);
 return 0;}
 			")
-			CHECK_C_SOURCE_COMPILES("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
-			IF(HAVE_GETGRNAM_R_4)
-			   ADD_TCL_CFLAG(HAVE_GETGRNAM_R_4)
-			ENDIF(HAVE_GETGRNAM_R_4)
-		ENDIF(HAVE_GETGRNAM_R_5)
-	ENDIF(HAVE_GETGRNAM_R)
-ENDMACRO(SC_TCL_GETGRNAM_R)
+			check_c_source_compiles("${HAVE_GETGRNAM_R_4_SRC}" HAVE_GETGRNAM_R_4)
+			if(HAVE_GETGRNAM_R_4)
+			   add_tcl_cflag(HAVE_GETGRNAM_R_4)
+			endif(HAVE_GETGRNAM_R_4)
+		endif(HAVE_GETGRNAM_R_5)
+	endif(HAVE_GETGRNAM_R)
+endmacro(SC_TCL_GETGRNAM_R)
 
 
 
 
-MACRO(CHECK_FD_SET_IN_TYPES_D)
-	SET(TEST_SRC "
+macro(CHECK_FD_SET_IN_TYPES_D)
+	set(TEST_SRC "
 	#include <sys/types.h>
 	int main ()
 	{
@@ -955,16 +955,16 @@
 	return 0;
 	}
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" FD_SET_IN_TYPES_H)
-ENDMACRO(CHECK_FD_SET_IN_TYPES_D)
+	check_c_source_compiles("${TEST_SRC}" FD_SET_IN_TYPES_H)
+endmacro(CHECK_FD_SET_IN_TYPES_D)
 
-MACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
-	SET(TEST_SRC"
+macro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	set(TEST_SRC"
 	#define MODULE_SCOPE extern __attribute__((__visibility__("hidden")))
 	main(){};
 	")
-	CHECK_C_SOURCE_COMPILES("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
-ENDMACRO(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
+	check_c_source_compiles("${TEST_SRC}" COMPILER_SUPPORTS_HIDDEN)
+endmacro(CHECK_COMPILER_SUPPORTS_HIDDEN_D)
 
 
 
Index: src/other/tk/CMake/CheckPrototypeExists.cmake
===================================================================
--- src/other/tk/CMake/CheckPrototypeExists.cmake	(revision 54114)
+++ src/other/tk/CMake/CheckPrototypeExists.cmake	(working copy)
@@ -57,6 +57,6 @@
   return 0;
 }
 ")
-  CHECK_CXX_SOURCE_COMPILES("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
+  check_cxx_source_compiles("${_CHECK_PROTO_EXISTS_SOURCE_CODE}" ${_RESULT})
 endmacro(CHECK_PROTOTYPE_EXISTS _SYMBOL _HEADER _RESULT)
 
Index: src/other/tk/library/CMakeLists.txt
===================================================================
--- src/other/tk/library/CMakeLists.txt	(revision 54114)
+++ src/other/tk/library/CMakeLists.txt	(working copy)
@@ -1,5 +1,5 @@
-MACRO(TK_SCRIPTS_BUILD files destination)
-  FOREACH(file ${${files}})
+macro(TK_SCRIPTS_BUILD files destination)
+  foreach(file ${${files}})
     get_filename_component(filename ${file} NAME)
     if(NOT CMAKE_CONFIGURATION_TYPES)
       configure_file(${file} ${CMAKE_BINARY_DIR}/${destination}/${filename} COPYONLY)
@@ -9,10 +9,10 @@
         configure_file(${file} ${CMAKE_BINARY_DIR_${CFG_TYPE_UPPER}}/${destination}/${filename} COPYONLY)
       endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
     endif(NOT CMAKE_CONFIGURATION_TYPES)
-  ENDFOREACH(file ${${files}})
-ENDMACRO(TK_SCRIPTS_BUILD)
+  endforeach(file ${${files}})
+endmacro(TK_SCRIPTS_BUILD)
 
-SET(TK_LIBRARY_FILES
+set(TK_LIBRARY_FILES
   bgerror.tcl
   button.tcl
   choosedir.tcl
@@ -43,9 +43,9 @@
   tclIndex
   )
 install(FILES ${TK_LIBRARY_FILES} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR})
-TK_SCRIPTS_BUILD(TK_LIBRARY_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR})
+tk_scripts_build(TK_LIBRARY_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR})
 
-SET(TK_LIBRARY_IMAGE_FILES
+set(TK_LIBRARY_IMAGE_FILES
   images/README
   images/logo.eps
   images/logo100.gif
@@ -61,9 +61,9 @@
   images/tai-ku.gif
   )
 install(FILES ${TK_LIBRARY_IMAGE_FILES} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/images)
-TK_SCRIPTS_BUILD(TK_LIBRARY_IMAGE_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/images)
+tk_scripts_build(TK_LIBRARY_IMAGE_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/images)
 
-SET(TK_LIBRARY_MSG_FILES
+set(TK_LIBRARY_MSG_FILES
   msgs/cs.msg
   msgs/da.msg
   msgs/de.msg
@@ -82,9 +82,9 @@
   msgs/sv.msg
   )
 install(FILES ${TK_LIBRARY_MSG_FILES} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/msgs)
-TK_SCRIPTS_BUILD(TK_LIBRARY_MSG_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/msgs)
+tk_scripts_build(TK_LIBRARY_MSG_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/msgs)
 
-SET(TTK_LIBRARY_FILES
+set(TTK_LIBRARY_FILES
   ttk/altTheme.tcl
   ttk/aquaTheme.tcl
   ttk/button.tcl
@@ -111,9 +111,9 @@
   ttk/xpTheme.tcl
   )
 install(FILES ${TTK_LIBRARY_FILES} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/ttk)
-TK_SCRIPTS_BUILD(TTK_LIBRARY_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/ttk)
+tk_scripts_build(TTK_LIBRARY_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/ttk)
 
-SET(TK_DEMO_PROGS
+set(TK_DEMO_PROGS
   demos/browse
   demos/hello
   demos/ixset
@@ -123,10 +123,10 @@
   demos/timer
   demos/widget
   )
-INSTALL(PROGRAMS ${TK_DEMO_PROGS} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos)
-TK_SCRIPTS_BUILD(TK_DEMO_PROGS lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos)
+install(PROGRAMS ${TK_DEMO_PROGS} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos)
+tk_scripts_build(TK_DEMO_PROGS lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos)
 
-SET(TK_DEMO_FILES
+set(TK_DEMO_FILES
   demos/README
   demos/anilabel.tcl
   demos/aniwave.tcl
@@ -192,10 +192,10 @@
   demos/unicodeout.tcl
   demos/vscale.tcl
   )
-INSTALL(FILES ${TK_DEMO_FILES} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos)
-TK_SCRIPTS_BUILD(TK_DEMO_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos)
+install(FILES ${TK_DEMO_FILES} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos)
+tk_scripts_build(TK_DEMO_FILES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos)
 
-SET(TK_DEMO_IMAGES
+set(TK_DEMO_IMAGES
   demos/images/earth.gif
   demos/images/earthris.gif
   demos/images/face.xbm
@@ -208,5 +208,5 @@
   demos/images/tcllogo.gif
   demos/images/teapot.ppm
   )
-INSTALL(FILES ${TK_DEMO_IMAGES} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos/images)
-TK_SCRIPTS_BUILD(TK_DEMO_IMAGES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos/images)
+install(FILES ${TK_DEMO_IMAGES} DESTINATION lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos/images)
+tk_scripts_build(TK_DEMO_IMAGES lib/tk${TK_VERSION_MAJOR}.${TK_VERSION_MINOR}/demos/images)
Index: src/other/tk/doc/CMakeLists.txt
===================================================================
--- src/other/tk/doc/CMakeLists.txt	(revision 54114)
+++ src/other/tk/doc/CMakeLists.txt	(working copy)
@@ -1,31 +1,31 @@
-IF(NOT MAN_DIR)
-	SET(MAN_DIR "man")
-ENDIF(NOT MAN_DIR)
+if(NOT MAN_DIR)
+	set(MAN_DIR "man")
+endif(NOT MAN_DIR)
 
-FIND_PROGRAM(SH_EXEC NAMES sh dash bash DOC "path to shell executable")
-FIND_PROGRAM(SED_EXEC NAMES sed DOC "path to sed executable")
-MARK_AS_ADVANCED(SH_EXEC)
-MARK_AS_ADVANCED(SED_EXEC)
+find_program(SH_EXEC NAMES sh dash bash DOC "path to shell executable")
+find_program(SED_EXEC NAMES sed DOC "path to sed executable")
+mark_as_advanced(SH_EXEC)
+mark_as_advanced(SED_EXEC)
 
-FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man1)
-FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man3)
-FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/mann)
+file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man1)
+file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/man3)
+file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/mann)
 
-IF(SED_EXEC AND SH_EXEC AND NOT TKMAN_GENERATED)
-	MESSAGE("Generating Tk man pages...")
+if(SED_EXEC AND SH_EXEC AND NOT TKMAN_GENERATED)
+	message("Generating Tk man pages...")
 
-	SET(tk_MAN1
+	set(tk_MAN1
 		wish.1
 		)
-	FOREACH(manfile ${tk_MAN1})
-		EXEC_PROGRAM(${SH_EXEC} ARGS
+	foreach(manfile ${tk_MAN1})
+		exec_program(${SH_EXEC} ARGS
 			${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
 			${CMAKE_CURRENT_SOURCE_DIR}/${manfile}
 			${CMAKE_CURRENT_BINARY_DIR}/man1
 			OUTPUT_VARIABLE MAN1_SH)
-	ENDFOREACH(manfile ${tk_MAN1})
+	endforeach(manfile ${tk_MAN1})
 
-	SET(tk_MAN3
+	set(tk_MAN3
 		3DBorder.3
 		AddOption.3
 		BindTable.3
@@ -114,15 +114,15 @@
 		ttk_Geometry.3
 		ttk_Theme.3
 		)
-	FOREACH(manfile ${tk_MAN3})
-		EXEC_PROGRAM(${SH_EXEC} ARGS
+	foreach(manfile ${tk_MAN3})
+		exec_program(${SH_EXEC} ARGS
 			${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
 			${CMAKE_CURRENT_SOURCE_DIR}/${manfile}
 			${CMAKE_CURRENT_BINARY_DIR}/man3
 			OUTPUT_VARIABLE MAN3_SH)
-	ENDFOREACH(manfile ${tk_MAN3})
+	endforeach(manfile ${tk_MAN3})
 
-	SET(tk_MANN
+	set(tk_MANN
 		bell.n
 		bind.n
 		bindtags.n
@@ -207,20 +207,20 @@
 		winfo.n
 		wm.n
 		)
-	FOREACH(manfile ${tk_MANN})
-		EXEC_PROGRAM(${SH_EXEC} ARGS
+	foreach(manfile ${tk_MANN})
+		exec_program(${SH_EXEC} ARGS
 			${CMAKE_CURRENT_SOURCE_DIR}/../unix/installManPage
 			${CMAKE_CURRENT_SOURCE_DIR}/${manfile}
 			${CMAKE_CURRENT_BINARY_DIR}/mann
 			OUTPUT_VARIABLE MANN_SH)
-	ENDFOREACH(manfile ${tk_MANN})
-	SET(TKMAN_GENERATED 1 CACHE BOOL "Flag signifying Tk man pages are generated" FORCE)
-	MARK_AS_ADVANCED(TKMAN_GENERATED)
+	endforeach(manfile ${tk_MANN})
+	set(TKMAN_GENERATED 1 CACHE BOOL "Flag signifying Tk man pages are generated" FORCE)
+	mark_as_advanced(TKMAN_GENERATED)
 
-ENDIF(SED_EXEC AND SH_EXEC AND NOT TKMAN_GENERATED)
+endif(SED_EXEC AND SH_EXEC AND NOT TKMAN_GENERATED)
 
-IF(TKMAN_GENERATED)
-	FILE(GLOB TK_MAN1 "${CMAKE_CURRENT_BINARY_DIR}/man1/*")
+if(TKMAN_GENERATED)
+	file(GLOB TK_MAN1 "${CMAKE_CURRENT_BINARY_DIR}/man1/*")
         foreach(man ${TK_MAN1})
 			 set_source_files_properties(${man} PROPERTIES GENERATED TRUE)
           get_filename_component(tkman1 ${man} NAME)
@@ -233,9 +233,9 @@
             endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
           endif (NOT CMAKE_CONFIGURATION_TYPES)
         endforeach(man ${TK_MAN1})
-	INSTALL(FILES ${TK_MAN1} DESTINATION ${MAN_DIR}/man1)
+	install(FILES ${TK_MAN1} DESTINATION ${MAN_DIR}/man1)
 
-	FILE(GLOB TK_MAN3 "${CMAKE_CURRENT_BINARY_DIR}/man3/*")
+	file(GLOB TK_MAN3 "${CMAKE_CURRENT_BINARY_DIR}/man3/*")
         foreach(man ${TK_MAN3})
 			 set_source_files_properties(${man} PROPERTIES GENERATED TRUE)
           get_filename_component(tkman3 ${man} NAME)
@@ -248,9 +248,9 @@
             endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
           endif (NOT CMAKE_CONFIGURATION_TYPES)
         endforeach(man ${TK_MAN3})
-	INSTALL(FILES ${TK_MAN3} DESTINATION ${MAN_DIR}/man3)
+	install(FILES ${TK_MAN3} DESTINATION ${MAN_DIR}/man3)
 
-	FILE(GLOB TK_MANN "${CMAKE_CURRENT_BINARY_DIR}/mann/*")
+	file(GLOB TK_MANN "${CMAKE_CURRENT_BINARY_DIR}/mann/*")
         foreach(man ${TK_MANN})
 			 set_source_files_properties(${man} PROPERTIES GENERATED TRUE)
           get_filename_component(tkmann ${man} NAME)
@@ -263,5 +263,5 @@
             endforeach(CFG_TYPE ${CMAKE_CONFIGURATION_TYPES})
           endif (NOT CMAKE_CONFIGURATION_TYPES)
         endforeach(man ${TK_MANN})
-	INSTALL(FILES ${TK_MANN} DESTINATION ${MAN_DIR}/mann)
-ENDIF(TKMAN_GENERATED)
+	install(FILES ${TK_MANN} DESTINATION ${MAN_DIR}/mann)
+endif(TKMAN_GENERATED)
Index: src/other/perplex/CMakeLists.txt
===================================================================
--- src/other/perplex/CMakeLists.txt	(revision 54114)
+++ src/other/perplex/CMakeLists.txt	(working copy)
@@ -34,14 +34,14 @@
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 ###
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-IF(COMMAND CMAKE_POLICY)
-  CMAKE_POLICY(SET CMP0003 NEW)
-ENDIF(COMMAND CMAKE_POLICY)
+cmake_minimum_required(VERSION 2.8)
+if(COMMAND CMAKE_POLICY)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND CMAKE_POLICY)
 
-PROJECT(PERPLEX)
+project(PERPLEX)
 
-INCLUDE_DIRECTORIES(
+include_directories(
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   )
@@ -53,8 +53,8 @@
   set(CMAKE_MODULE_PATH "${PERPLEX_CMAKE_DIR};${CMAKE_MODULE_PATH}")
 endif(PERPLEX_IS_SUBBUILD)
 
-FIND_PACKAGE(LEMON)
-FIND_PACKAGE(RE2C)
+find_package(LEMON)
+find_package(RE2C)
 
 if(NOT LEMON_EXECUTABLE OR NOT RE2C_EXECUTABLE)
   message(FATAL_ERROR "Perplex requires the LEMON Parser Generator and the re2c scanner generator.")
@@ -67,9 +67,9 @@
   include(${PERPLEX_CMAKE_DIR}/RE2C_Util.cmake)
 endif(NOT COMMAND RE2C_TARGET)
 
-RE2C_TARGET(PERPLEX scanner.re ${CMAKE_CURRENT_BINARY_DIR}/scanner.c COMPILE_FLAGS "-c")
-LEMON_TARGET(PERPLEX parser.y parser.c parser.h)
-ADD_RE2C_LEMON_DEPENDENCY(PERPLEX PERPLEX)
+re2c_target(PERPLEX scanner.re ${CMAKE_CURRENT_BINARY_DIR}/scanner.c COMPILE_FLAGS "-c")
+lemon_target(PERPLEX parser.y parser.c parser.h)
+add_re2c_lemon_dependency(PERPLEX PERPLEX)
 
 set(perplex_sources
   ${LEMON_PERPLEX_OUTPUT_SOURCE}
Index: src/other/perplex/CMake/RE2C_Util.cmake
===================================================================
--- src/other/perplex/CMake/RE2C_Util.cmake	(revision 54114)
+++ src/other/perplex/CMake/RE2C_Util.cmake	(working copy)
@@ -77,7 +77,7 @@
     if(${ARGC} EQUAL 5)
       if("${ARGV3}" STREQUAL "COMPILE_FLAGS")
 	set(RE2C_EXECUTABLE_opts  "${ARGV4}")
-	SEPARATE_ARGUMENTS(RE2C_EXECUTABLE_opts)
+	separate_arguments(RE2C_EXECUTABLE_opts)
       else()
 	message(SEND_ERROR ${RE2C_TARGET_usage})
       endif()
Index: src/other/perplex/CMake/FindLEMON.cmake
===================================================================
--- src/other/perplex/CMake/FindLEMON.cmake	(revision 54114)
+++ src/other/perplex/CMake/FindLEMON.cmake	(working copy)
@@ -60,7 +60,7 @@
   endif(lemon_path)
 endif(LEMON_EXECUTABLE AND NOT LEMON_TEMPLATE)
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(LEMON DEFAULT_MSG LEMON_EXECUTABLE LEMON_TEMPLATE)
+find_package_handle_standard_args(LEMON DEFAULT_MSG LEMON_EXECUTABLE LEMON_TEMPLATE)
 mark_as_advanced(LEMON_TEMPLATE)
 
 #============================================================
Index: src/other/perplex/CMake/FindRE2C.cmake
===================================================================
--- src/other/perplex/CMake/FindRE2C.cmake	(revision 54114)
+++ src/other/perplex/CMake/FindRE2C.cmake	(working copy)
@@ -7,4 +7,4 @@
 mark_as_advanced(RE2C_EXECUTABLE)
 
 include(FindPackageHandleStandardArgs)
-FIND_PACKAGE_HANDLE_STANDARD_ARGS(RE2C DEFAULT_MSG RE2C_EXECUTABLE)
+find_package_handle_standard_args(RE2C DEFAULT_MSG RE2C_EXECUTABLE)
Index: src/other/xmltools/libexslt/CMakeLists.txt
===================================================================
--- src/other/xmltools/libexslt/CMakeLists.txt	(revision 54114)
+++ src/other/xmltools/libexslt/CMakeLists.txt	(working copy)
@@ -1,13 +1,13 @@
 
-SET(VERSION "0.8.15")
-SET(LIBEXSLT_VERSION_NUMBER 815)
-SET(LIBEXSLT_VERSION_EXTRA "-BRLCAD")
-SET(WITH_CRYPTO 0)
+set(VERSION "0.8.15")
+set(LIBEXSLT_VERSION_NUMBER 815)
+set(LIBEXSLT_VERSION_EXTRA "-BRLCAD")
+set(WITH_CRYPTO 0)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/exsltconfig.h.in
   ${CMAKE_CURRENT_BINARY_DIR}/../include/libexslt/exsltconfig.h)
 
-SET(libexslt_srcs
+set(libexslt_srcs
   src/common.c
   src/crypto.c
   src/date.c
